package com.cmvr.ti.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cmvr.evaluation.model.vo.AeViEvaluationVO;
import com.cmvr.test.model.domain.TeTaskInst;
import com.cmvr.test.model.vo.TeQueryTaskOrchestraItemVO;
import com.cmvr.test.model.vo.TeTaskExecuteProjectVO;
import com.cmvr.ti.model.domain.TiProject;

import java.util.List;

public interface ITiProjectService extends IService<TiProject> {
    public TiProject selectTiProjectByProjectId(String projectId);

    public List<TiProject> selectTiProjectList(TiProject tiProject);

    public int insertTiProject(TiProject tiProject);

    public int updateTiProject(TiProject tiProject);

    public int deleteTiProjectByProjectIds(String[] projectIds);

    public List<TeQueryTaskOrchestraItemVO> queryExecuteRunParams(String projectId);

    public String executeProject(TeTaskExecuteProjectVO taskExecuteProjectVO);

    public TeTaskInst getTeTaskInst(String projectId);

    public String queryExecuteInstId(String projectId);

    public boolean updateProjectStatus(String projectId, Integer status);

    public void executeTiEvaluation(List<Long> funcIds);

    public AeViEvaluationVO queryEvaluation(String projectId);
}
